Page MenuHomePhabricator

Puppetize zotero
Closed, ResolvedPublic

Description

Subject says it all. It should be able to run as a normal service with module/role class, monitoring, firewalling etc

Event Timeline

akosiaris updated the task description. (Show Details)
akosiaris raised the priority of this task from to Needs Triage.
akosiaris added a project: acl*sre-team.
akosiaris added subscribers: akosiaris, Aklapper.

Change 191925 had a related patch set uploaded (by Dzahn):
add zotero role class skeleton

https://gerrit.wikimedia.org/r/191925

Patch-For-Review

Change 191938 had a related patch set uploaded (by Dzahn):
LVS configuration for zotero service

https://gerrit.wikimedia.org/r/191938

Patch-For-Review

Mvolz moved this task from Backlog to Production on the Citoid board.Feb 21 2015, 1:16 PM

Change 191925 merged by Alexandros Kosiaris:
add zotero role class skeleton

https://gerrit.wikimedia.org/r/191925

ArielGlenn triaged this task as High priority.Feb 26 2015, 8:19 AM
ArielGlenn set Security to None.

https://gerrit.wikimedia.org/r/#/c/194495/

And it works works in labs fine (albeit without the proxy right now). Will move on with the proxy changes tomorrow and request team review

Proxy works fine as well in labs. To be merged Monday

Change 191938 merged by Alexandros Kosiaris:
LVS configuration for zotero service

https://gerrit.wikimedia.org/r/191938

akosiaris closed this task as Resolved.Mar 9 2015, 5:50 PM
akosiaris claimed this task.

Change merged, zotero uses the respective url-downloader services on both production and Beta Labs (deployment-prep). Resolving